Package org.apache.maven.scm.provider.accurev

## Class Stream

- java.lang.Object
- - org.apache.maven.scm.provider.accurev.Stream

    public class Stream
    extends java.lang.Object

### Constructor Summary

Constructors
`Stream​(java.lang.String name, long id, java.lang.String basis, long basisId, java.lang.String depot, java.util.Date startDate, java.lang.String streamType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`java.lang.String` `getBasis()`
`long` `getBasisId()`
`java.lang.String` `getDepot()`
`long` `getId()`
`java.lang.String` `getName()`
`java.util.Date` `getStartDate()`
`java.lang.String` `getStreamType()`
`int` `hashCode()`
`java.lang.Boolean` `isWorkspace()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Stream

    public Stream​(java.lang.String name,
                  long id,
                  java.lang.String basis,
                  long basisId,
                  java.lang.String depot,
                  java.util.Date startDate,
                  java.lang.String streamType)

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### getName

    public java.lang.String getName()

#### getId

    public long getId()

#### getBasis

    public java.lang.String getBasis()

#### getBasisId

    public long getBasisId()

#### getDepot

    public java.lang.String getDepot()

#### getStartDate

    public java.util.Date getStartDate()

#### getStreamType

    public java.lang.String getStreamType()

#### isWorkspace

    public java.lang.Boolean isWorkspace()